package ac.ed.lurg.country.gams;

import java.util.Map;

import ac.ed.lurg.Timestep;
import ac.ed.lurg.landuse.IrrigationItem;
import ac.ed.lurg.landuse.LandUseItem;
import ac.ed.lurg.yield.YieldResponsesItem;

public class GamsLocationInput {
	
	private Timestep timestep;
	private Map<Integer, ? extends YieldResponsesItem> yields;
	private Map<Integer, ? extends LandUseItem> previousLandUse;
	private Map<Integer, ? extends IrrigationItem> irrigationCosts;
	private GamsCountryInput countryInput;
	
	public GamsLocationInput(Timestep timestep, Map<Integer, ? extends YieldResponsesItem> yields, Map<Integer, ? extends LandUseItem> previousLandUse,
			Map<Integer, ? extends IrrigationItem> irrigationCosts, GamsCountryInput countryInput) {
		super();
		this.timestep = timestep;
		this.yields = yields;
		this.previousLandUse = previousLandUse;
		this.irrigationCosts = irrigationCosts;
		this.countryInput = countryInput;
	}
		
	public Map<Integer, ? extends YieldResponsesItem> getYields() {
		return yields;
	}
	
	public Map<Integer, ? extends LandUseItem> getPreviousLandUse() {
		return previousLandUse;
	}
	
	public Map<Integer, ? extends IrrigationItem> getIrrigationCosts() {
		return irrigationCosts;
	}
	
	public GamsCountryInput getCountryInput() {
		return countryInput;
	}
	
	public Timestep getTimestep() {
		return timestep;
	}
}
