package ac.ed.lurg.country.gams;

import java.util.Map;

import ac.ed.lurg.landuse.CropUsageData;
import ac.ed.lurg.landuse.LandUseItem;
import ac.ed.lurg.types.CropType;
import ac.sac.raster.RasterSet;

public class GamsRasterOutput {
	
	private int status;
	private RasterSet<LandUseItem> landUses;
	private Map<CropType, CropUsageData> cropUsageData;

	public GamsRasterOutput(RasterSet<LandUseItem> landUses, Map<CropType, CropUsageData> cropUsageData) {
		super();
		this.landUses = landUses;
        this.cropUsageData = cropUsageData;
	}

	public GamsRasterOutput(int status, RasterSet<LandUseItem> intensityRaster, Map<CropType, CropUsageData> cropUsageData) {
		this(intensityRaster, cropUsageData);
		this.status = status;
	}
	
	public int getStatus() {
		return status;
	}
	
	public RasterSet<LandUseItem> getLandUses() {
		return landUses;
	}

	public Map<CropType, CropUsageData> getCropUsageData() {
		return cropUsageData;
	}
}
